Debian Bug report logs - #399638
xterm: broken rendering in ncurses programs

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: David Lazar <dlazar@gmail.com>

Date: Tue, 21 Nov 2006 00:33:02 UTC

Severity: important

Found in version xterm/222-1

Fixed in version xterm/223-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#399638; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to David Lazar <dlazar@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Lazar <dlazar@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: broken rendering in ncurses programs
Date: Tue, 21 Nov 2006 02:24:38 +0200
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 222-1
Severity: important

After upgrading from 210-3.1 to 222-1 ncurses programs started
displaying rendering artifacts (see attachment for an example).  I
checked this bug with mc, elinks, the debconf dialog frontend, moc, etc.

This seems to be related to changes in the terminfo entry shipped with
xterm, but this is just my guess.  Quoting from the upstream changelog:

  Patch #216 - 2006/8/3

  - several changes to terminfo:

    * incorporate some minor changes from ncurses to help keep these
      synchronized:

      2005-02-26
	  modify sgr/sgr0 in xterm-new to improve tgetent's derived
	  "me". 
      2006-02-18
	  remove ncv flag from xterm-16color 
      2006-06-24
	  improve xterm-256color by combining the 16-color setaf/setab
	  strings with SGR 48, and cancelling the setf/setb strings. 

    * use extended function-key definitions for xterm-sun, xterm-sco
      entries.
    * add terminfo building-blocks corresponding to the
      modifyFunctionKeys and modifyCursorKeys resources. 

Maybe the ncurses entry for xterm should be updated?  Note, however,
that I compiled the terminfo entry shipped with xterm, and it still
didn't fix the problem.

Thanks,
-=[david]=-


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages xterm depends on:
ii  libc6                        2.3.6.ds1-7 GNU C Library: Shared libraries
ii  libfontconfig1               2.4.1-2     generic font configuration library
ii  libice6                      1:1.0.1-2   X11 Inter-Client Exchange library
ii  libncurses5                  5.5-5       Shared libraries for terminal hand
ii  libsm6                       1:1.0.1-3   X11 Session Management library
ii  libx11-6                     2:1.0.3-3   X11 client-side library
ii  libxaw7                      1:1.0.2-4   X11 Athena Widget library
ii  libxext6                     1:1.0.1-2   X11 miscellaneous extension librar
ii  libxft2                      2.1.8.2-8   FreeType-based font drawing librar
ii  libxmu6                      1:1.0.2-2   X11 miscellaneous utility library
ii  libxt6                       1:1.0.2-2   X11 toolkit intrinsics library
ii  xbitmaps                     1.0.1-2     Base X bitmaps

Versions of packages xterm recommends:
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

-- no debconf information
[xterm-broken-rendering.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#399638; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Marc Wilson <msw@cox.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 399638@bugs.debian.org (full text, mbox):

From: Marc Wilson <msw@cox.net>
To: debian-x@lists.debian.org
Cc: 399638@bugs.debian.org
Subject: Re: Bug#399638: xterm: broken rendering in ncurses programs
Date: Mon, 20 Nov 2006 18:34:11 -0800
On Tue, Nov 21, 2006 at 02:24:38AM +0200, David Lazar wrote:
> Package: xterm
> Version: 222-1
> Severity: important
> 
> After upgrading from 210-3.1 to 222-1 ncurses programs started
> displaying rendering artifacts (see attachment for an example).  I
> checked this bug with mc, elinks, the debconf dialog frontend, moc, etc.

I was just about to file this one myself, after verifying that the previous
package didn't have the problem.  I see this myself in mutt and mc.

Personally, I think it may have something to do with changes made in
xterm-221:

Patch #221 - 2006/10/1
 * fix for regular expressions: the code which converted the column offset
   within a line did not check properly for the end of a line, and if
   allowed to match the whole line, would select the beginning of the
   following line. If the following line were empty, in turn it would
   select from the next, etc. (report by Sean Reifschneider).
 * minor optimization of color allocation to avoid repainting the screen if
   the corresponding color had not been allocated.
 * fixes for vttests/256colors.pl (report by Egmont Koblinger).
 * add terminfo building block entries for modifiers of the 6-key editing keypad.
 * fix for initialization of tek4014 which broke on QNX 6.1

"avoid repainting the screen" sounds very like what I'm seeing in mutt.
Layout inside the xterm window is correct, it's just that characters are...
missing.

-- 
 Marc Wilson |     The greatest productive force is human selfishness.
 msw@cox.net |     -- Robert Heinlein



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#399638; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 399638@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: debian-x@lists.debian.org, 399638@bugs.debian.org
Subject: Re: Bug#399638: xterm: broken rendering in ncurses programs
Date: Tue, 21 Nov 2006 06:29:15 -0500
[Message part 1 (text/plain, inline)]
On Tue, Nov 21, 2006 at 03:40:08AM +0100, Marc Wilson wrote:
> "avoid repainting the screen" sounds very like what I'm seeing in mutt.
> Layout inside the xterm window is correct, it's just that characters are...
> missing.

Maybe - if it were that simple, I think I'd be seeing more reports.

I have been investigating a more complicated one related to the
reverseVideo changes which might explain this (recent fixes exposed
an unrelated very old bug in exposure-event handling ;-)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#399638; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Marc Wilson <msw@cox.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 399638@bugs.debian.org (full text, mbox):

From: Marc Wilson <msw@cox.net>
To: debian-x@lists.debian.org
Cc: 399638@bugs.debian.org
Subject: Re: Bug#399638: xterm: broken rendering in ncurses programs
Date: Tue, 21 Nov 2006 20:16:16 -0800
[Message part 1 (text/plain, inline)]
On Tue, Nov 21, 2006 at 06:29:15AM -0500, Thomas Dickey wrote:
> On Tue, Nov 21, 2006 at 03:40:08AM +0100, Marc Wilson wrote:
> > "avoid repainting the screen" sounds very like what I'm seeing in mutt.
> > Layout inside the xterm window is correct, it's just that characters are...
> > missing.
> 
> Maybe - if it were that simple, I think I'd be seeing more reports.

Here's an example of what I see with mutt running inside xterm:

http://members.cox.net/msw/05.png

Moving mutt's highlight bar over the lines missing characters causes them
to be redrawn correctly.

-- 
 Marc Wilson |     My only love sprung from my only hate!  Too early
 msw@cox.net |     seen unknown, and known too late!  -- William
             |     Shakespeare, "Romeo and Juliet"
[signature.asc (application/pgp-signature, inline)]

Message sent on to David Lazar <dlazar@gmail.com>:
Bug#399638. Full text and rfc822 format available.

Message #23 received at 399638-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: debian-x@lists.debian.org, 399638-submitter@bugs.debian.org
Subject: Re: Bug#399638: xterm: broken rendering in ncurses programs
Date: Wed, 22 Nov 2006 07:12:19 -0500
[Message part 1 (text/plain, inline)]
On Wed, Nov 22, 2006 at 05:30:16AM +0100, Marc Wilson wrote:
> On Tue, Nov 21, 2006 at 06:29:15AM -0500, Thomas Dickey wrote:
> > On Tue, Nov 21, 2006 at 03:40:08AM +0100, Marc Wilson wrote:
> > > "avoid repainting the screen" sounds very like what I'm seeing in mutt.
> > > Layout inside the xterm window is correct, it's just that characters are...
> > > missing.
> > 
> > Maybe - if it were that simple, I think I'd be seeing more reports.
> 
> Here's an example of what I see with mutt running inside xterm:
> 
> http://members.cox.net/msw/05.png

thanks. I understand the report, but the specific item that you pointed
to in the changelog refers to repainting the whole screen when an
application assigns new colors.

The case that I've been investigating might be related (or I might simply
not see it due to different resource settings).  It might be helpful to
see what "appres XTerm" (or the xrdb output), so I can check that.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Message sent on to David Lazar <dlazar@gmail.com>:
Bug#399638. Full text and rfc822 format available.

Message #26 received at 399638-submitter@bugs.debian.org (full text, mbox):

From: Sven-Haegar Koch <haegar@sdinet.de>
To: Thomas Dickey <dickey@radix.net>
Cc: debian-x@lists.debian.org, 399638-submitter@bugs.debian.org
Subject: Re: Bug#399638: xterm: broken rendering in ncurses programs
Date: Wed, 22 Nov 2006 13:55:26 +0100 (CET)
On Wed, 22 Nov 2006, Thomas Dickey wrote:

> On Wed, Nov 22, 2006 at 05:30:16AM +0100, Marc Wilson wrote:
>> On Tue, Nov 21, 2006 at 06:29:15AM -0500, Thomas Dickey wrote:
>>> On Tue, Nov 21, 2006 at 03:40:08AM +0100, Marc Wilson wrote:
>>>> "avoid repainting the screen" sounds very like what I'm seeing in mutt.
>>>> Layout inside the xterm window is correct, it's just that characters are...
>>>> missing.
>>>
>>> Maybe - if it were that simple, I think I'd be seeing more reports.
>>
>> Here's an example of what I see with mutt running inside xterm:
>>
>> http://members.cox.net/msw/05.png
>
> thanks. I understand the report, but the specific item that you pointed
> to in the changelog refers to repainting the whole screen when an
> application assigns new colors.
>
> The case that I've been investigating might be related (or I might simply
> not see it due to different resource settings).  It might be helpful to
> see what "appres XTerm" (or the xrdb output), so I can check that.

I am seeing the same problems using "make menuconfig" on a kernel source, 
or in midnight commander.

Using the debian package
	xterm 222-1

Screenshots:
	https://www.sdinet.de/tmp/xterm1.jpg
After some scrolling down+up:
	https://www.sdinet.de/tmp/xterm2.jpg
	https://www.sdinet.de/tmp/xterm3.jpg

Output of "appres XTerm":
	https://www.sdinet.de/tmp/xterm.appres.txt

c'ya
sven

-- 

The Internet treats censorship as a routing problem, and routes around it.
(John Gilmore on http://www.cygnus.com/~gnu/)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#399638; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "David Lazar" <dlazar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 399638@bugs.debian.org (full text, mbox):

From: "David Lazar" <dlazar@gmail.com>
To: 399638@bugs.debian.org
Subject: Re: Bug#399638: xterm: broken rendering in ncurses programs
Date: Wed, 22 Nov 2006 15:13:10 +0200
[Message part 1 (text/plain, inline)]
Hi Thomas,

On 11/22/06, Thomas Dickey <dickey@radix.net> wrote:

> The case that I've been investigating might be related (or I might
> simply not see it due to different resource settings).  It might be
> helpful to see what "appres XTerm" (or the xrdb output), so I can
> check that.

Here's the output of the "appres XTerm" and "xrdb -query" on my machine.
Let me know if I can help you in any way to track this down.

Thanks for your work on XTerm! :-)

-=[david]=-
[appres-XTerm.output (application/octet-stream, attachment)]
[xrdb-query.output (application/octet-stream, attachment)]

Message sent on to David Lazar <dlazar@gmail.com>:
Bug#399638. Full text and rfc822 format available.

Message #34 received at 399638-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Sven-Haegar Koch <haegar@sdinet.de>
Cc: debian-x@lists.debian.org, 399638-submitter@bugs.debian.org
Subject: Re: Bug#399638: xterm: broken rendering in ncurses programs
Date: Thu, 23 Nov 2006 08:10:57 -0500
[Message part 1 (text/plain, inline)]
On Wed, Nov 22, 2006 at 01:55:26PM +0100, Sven-Haegar Koch wrote:
> On Wed, 22 Nov 2006, Thomas Dickey wrote:
> 
> >On Wed, Nov 22, 2006 at 05:30:16AM +0100, Marc Wilson wrote:
> >>On Tue, Nov 21, 2006 at 06:29:15AM -0500, Thomas Dickey wrote:
> >>>On Tue, Nov 21, 2006 at 03:40:08AM +0100, Marc Wilson wrote:
> >>>>"avoid repainting the screen" sounds very like what I'm seeing in mutt.
> >>>>Layout inside the xterm window is correct, it's just that characters 
> >>>>are...
> >>>>missing.
> >>>
> >>>Maybe - if it were that simple, I think I'd be seeing more reports.
> >>
> >>Here's an example of what I see with mutt running inside xterm:
> >>
> >>http://members.cox.net/msw/05.png
> >
> >thanks. I understand the report, but the specific item that you pointed
> >to in the changelog refers to repainting the whole screen when an
> >application assigns new colors.
> >
> >The case that I've been investigating might be related (or I might simply
> >not see it due to different resource settings).  It might be helpful to
> >see what "appres XTerm" (or the xrdb output), so I can check that.
> 
> I am seeing the same problems using "make menuconfig" on a kernel source, 
> or in midnight commander.

hmm - I see the screenshot (will try to reproduce, though having read the
recent patches for lxdialog am wary of that one).  midnight commander's
a better basis for comparison.  I don't use that except for testing - and
still don't see a problem running that.
 
> Using the debian package
> 	xterm 222-1
> 
> Screenshots:
> 	https://www.sdinet.de/tmp/xterm1.jpg
> After some scrolling down+up:
> 	https://www.sdinet.de/tmp/xterm2.jpg
> 	https://www.sdinet.de/tmp/xterm3.jpg
> 
> Output of "appres XTerm":
> 	https://www.sdinet.de/tmp/xterm.appres.txt

looks ok...

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#399638; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "David Lazar" <dlazar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 399638@bugs.debian.org (full text, mbox):

From: "David Lazar" <dlazar@gmail.com>
To: 399638@bugs.debian.org
Subject: Re: Bug#399638: xterm: broken rendering in ncurses programs
Date: Thu, 23 Nov 2006 15:47:24 +0200
On 11/23/06, Thomas Dickey <dickey@radix.net> wrote:

> On Wed, Nov 22, 2006 at 01:55:26PM +0100, Sven-Haegar Koch wrote:
> > I am seeing the same problems using "make menuconfig" on a kernel source,
> > or in midnight commander.
>
> hmm - I see the screenshot (will try to reproduce, though having read the
> recent patches for lxdialog am wary of that one).  midnight commander's
> a better basis for comparison.  I don't use that except for testing - and
> still don't see a problem running that.

Ok, I've drilled down through my settings in .Xresources, and I've
managed to isolate it to the following resource.

  XTerm*faceName:		"monospace"

Simply setting it triggers the bug.  Remove it, and the bug goes away.

Hope this helps.

-=[david]=-



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#399638; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 399638@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: David Lazar <dlazar@gmail.com>, 399638@bugs.debian.org
Subject: Re: Bug#399638: xterm: broken rendering in ncurses programs
Date: Thu, 23 Nov 2006 10:46:08 -0500
[Message part 1 (text/plain, inline)]
On Thu, Nov 23, 2006 at 03:00:14PM +0100, David Lazar wrote:
> On 11/23/06, Thomas Dickey <dickey@radix.net> wrote:
> 
> >On Wed, Nov 22, 2006 at 01:55:26PM +0100, Sven-Haegar Koch wrote:
> >> I am seeing the same problems using "make menuconfig" on a kernel source,
> >> or in midnight commander.
> >
> >hmm - I see the screenshot (will try to reproduce, though having read the
> >recent patches for lxdialog am wary of that one).  midnight commander's
> >a better basis for comparison.  I don't use that except for testing - and
> >still don't see a problem running that.
> 
> Ok, I've drilled down through my settings in .Xresources, and I've
> managed to isolate it to the following resource.
> 
>   XTerm*faceName:		"monospace"
> 
> Simply setting it triggers the bug.  Remove it, and the bug goes away.

thanks - that helps (will investigate and find the bug)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#399638; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 399638@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 399638@bugs.debian.org
Subject: re: #399638 xterm: broken rendering in ncurses programs
Date: Thu, 30 Nov 2006 20:26:45 -0500
[Message part 1 (text/plain, inline)]
fix is in xterm #223

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#399638; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "David Lazar" <dlazar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 399638@bugs.debian.org (full text, mbox):

From: "David Lazar" <dlazar@gmail.com>
To: 399638@bugs.debian.org
Subject: re: #399638 xterm: broken rendering in ncurses programs
Date: Fri, 1 Dec 2006 15:12:33 +0200
Thanks, Thomas!

Now, we just have to wait for 223 to get packaged. ;-)

-=[david]=-



Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Lazar <dlazar@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 399638-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 399638-close@bugs.debian.org
Subject: Bug#399638: fixed in xterm 223-1
Date: Tue, 05 Dec 2006 00:47:02 +0000
Source: xterm
Source-Version: 223-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_223-1.diff.gz
  to pool/main/x/xterm/xterm_223-1.diff.gz
xterm_223-1.dsc
  to pool/main/x/xterm/xterm_223-1.dsc
xterm_223-1_i386.deb
  to pool/main/x/xterm/xterm_223-1_i386.deb
xterm_223.orig.tar.gz
  to pool/main/x/xterm/xterm_223.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399638@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  4 Dec 2006 19:27:21 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 223-1
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 347722 382225 397624 399638
Changes: 
 xterm (223-1) unstable; urgency=low
 .
   [ Julien Cristau ]
   * New upstream release. Includes the following fixes for bugs reported in
     the Debian BTS:
     + add the Xaw scrollbar translations resource to the xterm manpage, add an
       example showing how to change the mouse button assignments
       (closes: #382225).
     + amend cell-width computation for FreeType from patch #217, which did not
       work for VT100 line-drawing characters (closes: #399638).
     + revert an optimisation in SGR_Foreground() and SGR_Background from patch
       #209 (closes: #347722).
     + fixes to make the internalBorder area not change color due to
       reverseVideo and/or related exposure events.  The latter was a very old
       bug exposed in patch #196 (closes: #397624).
    * The fix for #347790 is now included upstream.
Files: 
 0dba4a810da97051168829e842c3d22d 813 x11 optional xterm_223-1.dsc
 bf5bb77496ddf95df32b8e752a6cabb0 804647 x11 optional xterm_223.orig.tar.gz
 1c2b55d636de9271f05364133fb13790 61456 x11 optional xterm_223-1.diff.gz
 66f5c12e9f408a45c22b34a532cbf19d 439164 x11 optional xterm_223-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFdL7tyLfpNdY0ad8RAu1XAJ9dJlPcWA0ioIA7GEMA/eUFnZav8gCfWZYH
PgCbvIVWv4OvjGjRQFq8bjk=
=DBJ2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 07:03:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:00:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.